package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.CollectReceiverDetailEntity;
import org.ta.pddserver.mapper.CollectReceiverDetailMapper;
import org.ta.pddserver.model.api.response.CollectReceiverDetailResponse;
import org.ta.pddserver.service.CollectReceiverDetailService;

@Service
public class CollectReceiverDetailImpl extends ServiceImpl<CollectReceiverDetailMapper, CollectReceiverDetailEntity> implements CollectReceiverDetailService {


    public CollectReceiverDetailEntity getInfoByOrderCode(String orderCode) {
        return baseMapper.findByOrderCode(orderCode);
    }

    public CollectReceiverDetailResponse getByOrderCode(String orderCode) {
        return baseMapper.findInfoByOrderCode(orderCode);
    }

    public Integer deleteByOrderCode(String orderCode) {
        return this.baseMapper.deleteByOrderCode(orderCode);
    }
}